import java.io.*; //java girdi cikti sinifini cagir
import kompleks;

class H9A1a
 {
      public static void main(String args[]) throws IOException
      {
          kompleks sayi[]=new kompleks[5];
          double n1,n2;
          kompleks toplam=new kompleks();
          int i;
          DataInputStream cin=new DataInputStream(System.in);
          for(i=0;i<sayi.length;i++)
          {
          System.out.println("bir kompleks sayi giriniz : ");
          n1=Text.readDouble(cin);
          n2=Text.readDouble(cin);
          sayi[i]=new kompleks(n1,n2);
          toplam.topla(sayi[i]);
          }
          toplam.bol((double)sayi.length);
          System.out.println("Ortalama = "+toplam.toString());
       }
 }
